- project = local_assigns.fetch(:project)
- issuable = local_assigns.fetch(:issuable)
- presenter = local_assigns.fetch(:presenter)
- has_due_date = issuable.has_attribute?(:due_date)
- form = local_assigns.fetch(:form)

- if @add_related_issue
  .form-group
    = render Pajamas::CheckboxTagComponent.new(name: :add_related_issue, value: @add_related_issue.iid, checked: true) do |c|
      = c.label do
        - add_related_issue_link = link_to "\##{@add_related_issue.iid}", issue_path(@add_related_issue), class: ['has-tooltip'], title: @add_related_issue.title
        #{_('Relate to %{issuable_type} %{add_related_issue_link}').html_safe % { issuable_type: @add_related_issue.issue_type, add_related_issue_link: add_related_issue_link }}
      = c.help_text do
        = _('Adds this %{issuable_type} as related to the %{issuable_type} it was created from') % { issuable_type: @add_related_issue.issue_type }

- if issuable.respond_to?(:confidential) && can?(current_user, :set_confidentiality, issuable)
  .form-group
    = form.gitlab_ui_checkbox_component :confidential,
      _('This issue is confidential and should only be visible to team members with at least Reporter access.')

- if can?(current_user, :"set_#{issuable.to_ability_name}_metadata", issuable)
  .row.gl-pt-4
    %div{ class: (has_due_date ? "col-lg-6" : "col-12") }
      .form-group.row.merge-request-assignee
        = render "shared/issuable/form/metadata_issuable_assignee", issuable: issuable, form: form, has_due_date: has_due_date

      - if issuable.allows_reviewers?
        .form-group.row.merge-request-reviewer
          = render "shared/issuable/form/metadata_issuable_reviewer", issuable: issuable, form: form, has_due_date: has_due_date, presenter: presenter

      = render_if_exists "shared/issuable/form/epic", issuable: issuable, form: form, project: project

      - if issuable.supports_milestone?
        .form-group.row.issue-milestone
          = form.label :milestone_id, _('Milestone'), class: "col-12"
          .col-12
            .issuable-form-select-holder
              = render "shared/issuable/milestone_dropdown", selected: issuable.milestone, name: "#{issuable.class.model_name.param_key}[milestone_id]"

      - if Feature.enabled?(:visible_label_selection_on_metadata, project)
        .js-issuable-form-label-selector{ data: issuable_label_selector_data(project, issuable) }
      - else
        .form-group.row
          = form.label :label_ids, _('Labels'), class: "col-12"
          = form.hidden_field :label_ids, multiple: true, value: ''
          .col-12
            .issuable-form-select-holder
              = render "shared/issuable/label_dropdown", classes: ["js-issuable-form-dropdown"], selected: issuable.labels, data_options: { field_name: "#{issuable.class.model_name.param_key}[label_ids][]", show_any: false }, dropdown_title: "Select label"

      = render_if_exists "shared/issuable/form/merge_request_blocks", issuable: issuable, form: form

    - if has_due_date
      .col-lg-6
        = render_if_exists "shared/issuable/form/weight", issuable: issuable, form: form
        .form-group.row
          = form.label :due_date, _('Due date'), class: "col-12"
          .col-12
            .issuable-form-select-holder
              = form.gitlab_ui_datepicker :due_date, placeholder: _('Select due date'), autocomplete: 'off', id: "issuable-due-date"
        = render_if_exists "shared/issuable/form/iteration", form: form, group: project.group
